;;; lang-php.el --- Configuración para el lenguaje PHP 	-*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;; Archivo de configuración para el lenguaje PHP

;;; Code:

(use-package php-mode
  :defer t
  :bind ("C-c d b" . kj/php-doc-block)
  :config
  (defun kj/php-doc-block ()
    "Llama a \"php-dock-block\", sin conflicto con \"vs-comment-return-mode\"."
    (interactive)
    (if (bound-and-true-p vs-comment-return-mode)
        (funcall (lambda()
                   (vs-comment-return-mode -1)
                   (php-doc-block)
                   (vs-comment-return-mode 1)))
      (php-doc-block)
      )
    )
  )

(use-package php-doc-block
  :after php-mode
  :ensure (:host github :repo "moskalyovd/emacs-php-doc-block")
  )

(provide 'lang-php)
;;; lang-php.el ends here
